Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.eclipse.finder.matchers
Class WithPartName<T extends IWorkbenchPartReference>

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.eclipse.swtbot.swt.finder.matchers.AbstractMatcher<T>
              org.eclipse.swtbot.eclipse.finder.matchers.WithPartName<T>

All Implemented Interfaces:
  Matcher<T>, SelfDescribing

    public class WithPartName<T extends IWorkbenchPartReference>

extends AbstractMatcher<T>

Since:
  2.0
Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>, Ketan Patel

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.matchers.AbstractMatcher
`log`

Constructor Summary
`WithPartName(Matcher<String> nameMatcher)`

Method Summary
`void` | `describeTo(Description description)`
`boolean` | `doMatch(Object item)` Subclasses must override, this is the actual method that does the matching
`static
`<T extends IWorkbenchPartReference> Matcher<T>`
` | `withPartName(Matcher<String> nameMatcher)` Matches a workbench part (view/editor) with the specified name.
`static
`<T extends IWorkbenchPartReference> Matcher<T>`
` | `withPartName(String text)` Matches a workbench part (view/editor) with the specfied name.

Methods inherited from class org.eclipse.swtbot.swt.finder.matchers.AbstractMatcher
`matches`

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WithPartName

    public WithPartName(Matcher<String> nameMatcher)

Parameters:
  `nameMatcher` - the part name matcher.

Method Detail

### doMatch

    public boolean doMatch(Object item)

  Description copied from class: `AbstractMatcher`
  Subclasses must override, this is the actual method that does the matching

  Specified by:
    `doMatch` in class `AbstractMatcher<T extends IWorkbenchPartReference>`
  Parameters:
    `item` - the item to match.
  Returns:
    `true` if the item matches, `false` otherwise.

### describeTo

    public void describeTo(Description description)

### withPartName

    public static <T extends IWorkbenchPartReference> Matcher<T> withPartName(String text)

  Matches a workbench part (view/editor) with the specfied name.

  Parameters:
    `text` - the label of the part.
  Returns:
    a matcher.
  Since:
    2.0

### withPartName

    public static <T extends IWorkbenchPartReference> Matcher<T> withPartName(Matcher<String> nameMatcher)

  Matches a workbench part (view/editor) with the specified name.

  Parameters:
    `nameMatcher` - the part name matcher.
  Returns:
    a matcher.
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD